#
# spec file for package agl-xds-gdb
#

%define _prefix /opt/AGL
%global debug_package %{nil}

Name:           agl-xds-gdb
Version:        0.0.0
Release:        0
License:        Apache-2.0
Summary:        Wrapper on gdb debugger for XDS
Url:            https://gerrit.automotivelinux.org/gerrit/p/src/xds/xds-gdb.git
Source0:        xds-gdb_linux-amd64-%{version}.zip
Source1:        rpmlintrc
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Development/Tools/Debuggers

%description
xds-gdb is an agent that should run on your local machine when you use XDS

%prep
%setup -q -n xds-gdb

%build

%install
mkdir -p %{?buildroot}%{_prefix}/xds/gdb %{?buildroot}%{_bindir}
cp xds-gdb %{?buildroot}%{_prefix}/xds/gdb
ln -s ../xds/gdb/xds-gdb %{?buildroot}%{_bindir}/xds-gdb

mkdir -p %{?buildroot}%{_sysconfdir}/profile.d
sed -e "s;@XDS_INSTALL_BIN_DIR@;%{_bindir};g" ./conf.d/etc/profile.d/xds-gdb.sh > %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh

%files
%defattr(-,root,root)
%dir %{_prefix}
%dir %{_bindir}
%dir %{_prefix}/xds
%dir %{_prefix}/xds/gdb
%{_prefix}/xds/gdb/*
%{_bindir}/xds-gdb
%config %{_sysconfdir}/profile.d/%{name}.sh
%attr(644,root,root) %{_sysconfdir}/profile.d/%{name}.sh
